Bug 1814099 - [scale] enable monitor-all to reduce load on southbound database
Summary: [scale] enable monitor-all to reduce load on southbound database
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Dan Williams
QA Contact: Anurag saxena
URL:
Whiteboard: SDN-CI-IMPACT
Depends On: 1814100
Blocks: 1814098
TreeView+ depends on / blocked
 
Reported: 2020-03-17 02:56 UTC by Dan Williams
Modified: 2020-06-17 22:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1814098
: 1814100 (view as bug list)
Environment:
Last Closed: 2020-06-17 22:26:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:2445 0 None None None 2020-06-17 22:26:28 UTC

Description Dan Williams 2020-03-17 02:56:44 UTC
+++ This bug was initially created as a clone of Bug #1814098 +++

Setting monitor-all=true in each node's ovsdb causes each ovn-controller to monitor all chassis events, which reduces load on the southbound database at the expense of a bit more CPU and network activity on each node. This increases the ability to scale.

See OVN bug https://bugzilla.redhat.com/1808125 for more details.

Comment 3 Dan Williams 2020-04-17 13:14:27 UTC
Verification would be same as https://bugzilla.redhat.com/show_bug.cgi?id=1814100#c7

Comment 4 zhaozhanqi 2020-04-20 08:42:50 UTC
just check the https://github.com/openshift/ovn-kubernetes/pull/135 still in open.  So move this bug to 'post' for now.

Comment 8 Ross Brattain 2020-06-09 16:25:32 UTC
Verified on 4.4.0-0.nightly-2020-06-08-083627



$ for f in $(oc get pods -o wide  -l app=ovnkube-node $JPMNS) ; do  oc exec -c ovn-controller "${f}"  -- ovs-vsctl get Open_vSwitch .  external-ids | grep --color=auto monitor-all ; done
{hostname=compute.internal, ovn-bridge-mappings="physnet:br-local", ovn-encap-ip="10.0.205.114", ovn-encap-type=geneve, ovn-monitor-all="true", ovn-nb="ssl:10.0.132.181:9641,ssl:10.0.185.61:9641,ssl:10.0.218.242:9641", ovn-openflow-probe-interval="180", ovn-remote="ssl:10.0.132.181:9642,ssl:10.0.185.61:9642,ssl:10.0.218.242:9642", ovn-remote-probe-interval="100000", rundir="/var/run/openvswitch", system-id="f527a7c7-e386-46c7-bb2f-4242e26ab9a5"}
{hostname=compute.internal, ovn-bridge-mappings="physnet:br-local", ovn-encap-ip="10.0.167.119", ovn-encap-type=geneve, ovn-monitor-all="true", ovn-nb="ssl:10.0.132.181:9641,ssl:10.0.185.61:9641,ssl:10.0.218.242:9641", ovn-openflow-probe-interval="180", ovn-remote="ssl:10.0.132.181:9642,ssl:10.0.185.61:9642,ssl:10.0.218.242:9642", ovn-remote-probe-interval="100000", rundir="/var/run/openvswitch", system-id="91912446-bb24-4f65-8574-061cba441eae"}
{hostname=compute.internal, ovn-bridge-mappings="physnet:br-local", ovn-encap-ip="10.0.132.181", ovn-encap-type=geneve, ovn-monitor-all="true", ovn-nb="ssl:10.0.132.181:9641,ssl:10.0.185.61:9641,ssl:10.0.218.242:9641", ovn-openflow-probe-interval="180", ovn-remote="ssl:10.0.132.181:9642,ssl:10.0.185.61:9642,ssl:10.0.218.242:9642", ovn-remote-probe-interval="100000", rundir="/var/run/openvswitch", system-id="31e001a1-e4a3-45be-b5a1-9e90c1ac5acb"}
{hostname=compute.internal, ovn-bridge-mappings="physnet:br-local", ovn-encap-ip="10.0.152.146", ovn-encap-type=geneve, ovn-monitor-all="true", ovn-nb="ssl:10.0.132.181:9641,ssl:10.0.185.61:9641,ssl:10.0.218.242:9641", ovn-openflow-probe-interval="180", ovn-remote="ssl:10.0.132.181:9642,ssl:10.0.185.61:9642,ssl:10.0.218.242:9642", ovn-remote-probe-interval="100000", rundir="/var/run/openvswitch", system-id="53cf8742-c3cf-4968-a535-ab0d154cffa6"}
{hostname=compute.internal, ovn-bridge-mappings="physnet:br-local", ovn-encap-ip="10.0.185.61", ovn-encap-type=geneve, ovn-monitor-all="true", ovn-nb="ssl:10.0.132.181:9641,ssl:10.0.185.61:9641,ssl:10.0.218.242:9641", ovn-openflow-probe-interval="180", ovn-remote="ssl:10.0.132.181:9642,ssl:10.0.185.61:9642,ssl:10.0.218.242:9642", ovn-remote-probe-interval="100000", rundir="/var/run/openvswitch", system-id="cf13cc53-6688-4eb9-b283-9d97133ea561"}
{hostname=compute.internal, ovn-bridge-mappings="physnet:br-local", ovn-encap-ip="10.0.218.242", ovn-encap-type=geneve, ovn-monitor-all="true", ovn-nb="ssl:10.0.132.181:9641,ssl:10.0.185.61:9641,ssl:10.0.218.242:9641", ovn-openflow-probe-interval="180", ovn-remote="ssl:10.0.132.181:9642,ssl:10.0.185.61:9642,ssl:10.0.218.242:9642", ovn-remote-probe-interval="100000", rundir="/var/run/openvswitch", system-id="4068bd8b-9c8e-4016-9f7f-a0d2d424d5f4"}

Comment 10 errata-xmlrpc 2020-06-17 22:26:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2445


Note You need to log in before you can comment on or make changes to this bug.